body {
  margin: 0;
}
/*Start for header*/
header {
  display: flex;
  flex-direction: column;
  background-color: #2f2f2f;
  color: #ffffff;
  padding: 10px;
}

header .row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

header .right-align {
  display: flex;
  align-items: center;
}

header .cart {
  margin-right: 10px;
}

header .dropdown {
  position: relative;
  display: inline-block;
  margin-right: 10px;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

header .dropdown:hover .dropdown-content {
  display: block;
}

header .dropdown-content a {
  color: #333;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

header .dropdown-content a:hover {
  background-color: #f1f1f1;
}

header .row-center {
  justify-content: center;
}

header .search {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
}

header .search input[type="text"] {
  border: none;
  flex: 1;
  font-size: 16px;
  align-items: center;
}
/*End for header*/

/*Start for footer*/
footer .container {
  display: flex;
  flex-direction: column;
  background-color: #2f2f2f;
  color: #ffffff;
  margin-top: 25px;
}

footer .top-footer,
.bottom-footer {
  text-align: center;
}
/*End for footer*/

/*Start for body*/
.container {
  display: flex;
  flex-wrap: wrap;
  /*  background-color: red; */
}

.container-item {
  display: flex;
  flex-direction: column;
  width: 20em;
  margin: 25px;
  /*  background-color: blue; */
}

.item-image {
  /*  background-color: orange; */
}

.item-image img {
  width: 250px;
  height: 250px;
}

.item-details {
  /*  background-color: green; */
}

.page-navigation {
  text-align: center;
  margin: 15px;
}
/*End for body*/

/*Start for login*/
.container-login {
  display: flex;
  justify-content: center;
/*  margin-top: 25em;
  margin-bottom: 25em; */
}

.container-login form {
  width: 100%;
  max-width: 400px;
  padding: 20px;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
}

.container-login input[type="text"],
.container-login input[type="password"] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
  border-radius: 5px;
}

.container-login button[type="submit"] {
  background-color: #ff7f50;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 12px 20px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.2s;
}

.container-login button[type="submit"]:hover {
  background-color: #ff6347;
}

.container-login label {
  display: block;
  font-size: 14px;
  font-weight: bold;
  margin-top: 10px;
}
/*End for login*/

/*Start for crudProduct*/
.container-crudProduct {
  display: flex;
  justify-content: center;
}

.container-crudProduct form {
  width: 100%;
  max-width: 400px;
  padding: 20px;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
}

.container-crudProduct input[type="text"],
input[type="password"] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
  border-radius: 5px;
}

.container-crudProduct button[type="submit"] {
  background-color: #ff7f50;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 12px 20px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.2s;
}

.container-crudProduct button[type="submit"]:hover {
  background-color: #ff6347;
}

.container-crudProduct label {
  display: block;
  font-size: 14px;
  font-weight: bold;
  margin-top: 10px;
}

.container-crudProduct .radiogroup label {
  display: inline;
}
/*End for crudProduct*/

/*Start for cartPage*/
.container-cart {
  display: flex;
  flex-direction: column;
  background-color: white;
  margin-left: 50px;
  margin-right: 50px;
}
.checkbox-item {
  display: flex;
  align-items: center;
}

.cart-item-details {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.cart-item-details .image {
  display: flex;
  align-items: center;
}

.cart-item-details img {
  width: 150px;
  height: 150px;
}

.item-details-text {
  display: flex;
  flex-direction: row;
  flex: 1;
  justify-content: space-between;
  align-items: center;
}

.cart-item-actions{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items:center;
}

.cart-item-actions button{
    display: flex;
    margin-left: 5px;
    margin-right: 5px;
}

.cart-actions {
  display: flex;
  flex-direction: row;
}
/*End for cartPage*/

/*Start for Signup*/

.container-signup {
  display: flex;
  justify-content: center;
  margin-top: 25px;
  margin-bottom: 25px;
}

.container-signup form {
  width: 100%;
  max-width: 400px;
  padding: 20px;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
}

.container-signup input[type="text"],
.container-signup input[type="password"] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
  border-radius: 5px;
}

.container-signup button[type="submit"] {
  background-color: #ff7f50;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 12px 20px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.2s;
}

.container-signup button[type="submit"]:hover {
  background-color: #ff6347;
}

.container-signup label {
  display: block;
  font-size: 14px;
  font-weight: bold;
  margin-top: 10px;
}

.container-signup .radiogroup label {
  display: inline;
}

/*End for Signup*/

/*Start for ProductPage*/

.container-viewProduct {
  display: flex;
  flex-direction: column;
}

.container-viewProduct .item-details {
  display: flex;
  flex-direction: row;
}

.item-details .image {
  align-items: center;
}
.image img {
  width: 150px;
  height: 150px;
}
/*End for ProductPage*/

.hidden {
    display: none;
}

a {
    text-decoration: none;
    color: inherit;
}

/*
a:visited {
  color: inherit;
}
*/